﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace APISampleWebSite.Controllers
{
    /// <summary>
    /// Controller handling Sage ID Logon
    /// </summary>
	public class AccountController : Controller
    {
		/// <summary>
		/// Attempts logon to Sage ID
		/// </summary>
		/// <returns>ActionResult of type RedirectResult which redirects to Account/Authorise</returns>
		[RequiresValidLogonAttribute]
		public ActionResult LogOn()
		{
			// RequiresValidLogonAttribute will return Unauthorized 401 if not yet logged on,
			// which triggers the Owin logon sequence.
			// If we get into this method, we are already logged on, so just redirect to main page.
			return new RedirectResult(Startup.BaseUri);
		}
    }
}